Support » Installing WordPress » Fatal error after upgrade to 3.1.1

  • Hello!

    I’ve tried to update my 3.0.5 blog to 3.1.1 and couldn’t do it. Still getting the error

    Fatal error: Call to undefined method stdClass::add_query_var() in public_html/ambnotes/wp-includes/taxonomy.php on line 318

    Please, can somebody help me? Tried to change theme to Twenty Two. Tried to deactivate all plugins and after deactivating did upgrade. Getting this error.

    I don’t know what to do. Actually, I never used taxonomy in my blog so, I never changed anything here. May be here is my mistake? Or not?

    Please, help me?

    Same problem I’ve had after I’ve tried to upgrade to 3.1. Have two blogs and on both of them getting the same error

Viewing 4 replies - 1 through 4 (of 4 total)
  • Please try following the instructions here:
    http://codex.wordpress.org/Upgrading_WordPress_Extended

    Specifically the part about de-activating all of your plug-ins.

    I did it. Deactivated ALL of my plugins before I did an upgrade.

    Try and upgrade manually from the same link you will need to backup database I have video on my website if you prefer to see how to upgrade manually click on my name.

    The reason why some legacy installs cannot upgrade beyond version 3.0 is this:

    Check wp-config.php for any lines that define a $wp-> object setting.

    They will break 3.1 and above and give a $wp->add_query_var error.

    For example:

    $wp->cookiedomain = '.example.com';

    Will work in 3.0 and below but break WP 3.1 and 3.2

    You’ll have to research for the replacement define setting as an alternative to $wp->

    For example, the modern replacement for the above line is
    define(COOKIE_DOMAIN,'.example.com');

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Fatal error after upgrade to 3.1.1’ is closed to new replies.